Subject: Re: regtool - 1.8 - Core dump
From: Brian Dessent <[email-masked]>
To: Cygwin <[email-masked]>
Date: Sat, 26 Feb 2005 22:02:03 -0800

Alexander Joerg Herrmann wrote:

> regtool dosn't dpend on the Cygwin environment as it
> can also run from the Windows command line without any
> Cygwin souroundings.
> What I was mentioning is that
> rgetool -K
> causes a core fault and something similar under
> windows because the argument is broken. I know that
> the argument is missing and so should regtool. It
> should produce a usage message insteed of a crash imo.

False.  regtool is a cygwin app and depends on the cygwin DLL:

$ cygcheck regtool
Found: C:\cygwin\bin\regtool.exe
C:/cygwin/bin/regtool.exe
  C:\cygwin\bin\cygwin1.dll
    C:\WINXP\System32\ADVAPI32.DLL
      C:\WINXP\System32\ntdll.dll
      C:\WINXP\System32\KERNEL32.dll
      C:\WINXP\System32\RPCRT4.dll

Just because you can run it from CMD.EXE doesn't mean it's not a Cygwin
app.  You can run any Cygwin app from CMD.EXE (aka "Command Prompt") as
long as cygwin1.dll and any other necessary DLLs are in your path.

The program should not core dump on invalid arguments.  That I agree
with, and it's a bug that should be fixed.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/